MANCONV(1)

NAME
manconv - convert manual page from one encoding to another

SYNOPSIS
manconv -f [from-code[:from-code...]] -t to-code [-dqhV] [filename]

DESCRIPTION
manconv converts a manual page from one encoding to another, like iconv. Unlike iconv, it can try multiple possible input encodings in sequence. This is useful for manual pages installed in directories without an explicit encoding declaration, since they may be in UTF-8 or in a legacy character set.

If an encoding declaration is found on the first line of the manual page, that declaration overrides any input encodings specified on manconv's command line. Encoding declarations have the following form:

    '\" -*- coding: UTF-8 -*-

or (if manual page preprocessors are also to be declared):

    '\" t -*- coding: ISO-8859-1 -*-

OPTIONS

-f encodings, --from-code encodings
    Try each of encodings (a colon-separated list) in sequence as the input encoding. The default is to guess likely input encodings based on the file name.

-t encoding, --to-code encoding
    Convert the manual page to encoding.

-q, --quiet
    Do not issue error messages when the page cannot be converted.

-d, --debug
    Print debugging information.

-h, --help
    Print a help message and exit.

-V, --version
    Display version information.

SEE ALSO
iconv(1), man(1), man-recode(1)

AUTHOR
Colin Watson (cjwatson@debian.org).

BUGS
https://savannah.nongnu.org/bugs/?group=man-db